@echo off

setlocal 

if $%1$==$debug$ goto DEBUG
if $%1$==$Debug$ goto DEBUG
if $%1$==$DEBUG$ goto DEBUG
if $%1$==$-v$ goto DEBUG
goto NODEBUG
:DEBUG
set DEBUGOPTS=-traceString "com.ibm.*=all=enabled"
set DESTARG=%2
set DESTPORTARG=%3
goto DEST

:NODEBUG
set DEBUGOPTS=
set DESTARG=%1
set DESTPORTARG=%2

:DEST

set QUALIFYNAMES=%!%com.ibm.servlet.engine.webapp.AdminClientServlet.qualifyHomeNames%!% 
set AUTODEST=%!%com.ibm.servlet.engine.webapp.AdminClientServlet.host%!%
if $%DESTARG%$==$$ goto AUTO
goto NOAUTO
:AUTO
if $%AUTODEST%$==$$ goto NOAUTO
set DESTARG=%AUTODEST%

:NOAUTO
if $%DESTARG%$==$$ goto LOCAL
set DEST=-host "%DESTARG%"
if $%DESTPORTARG%$==$$ goto HOSTMSG
set DESTPORT=-port %DESTPORTARG%
echo Remote AdminServer %DESTARG% will be accessed on port %DESTPORTARG%.
goto SERVER

:HOSTMSG
echo Remote AdminServer %DESTARG% will be accessed on the default port (900).
set DESTPORT=
goto SERVER

:LOCAL
set DEST=
set DESTPORT=
echo "No remote host or port argument specified. localhost/900 will be used."
echo "This command may be issued as: adminclient <host address <port number>>" 
:SERVER

if $%JAVA_HOME%$==$$ goto NOJAVA
goto SAVEJAVA
:NOJAVA
echo "Environment variable JAVA_HOME must be set to path for the correct version of java"
pause
goto END
:SAVEJAVA

rem setup the classpath
set WAS_CP=..\lib\ibmwebas.jar
set WAS_CP=%WAS_CP%;..\properties
set WAS_CP=%WAS_CP%;..\lib\chart.jar
set WAS_CP=%WAS_CP%;..\lib\ejs.jar
set WAS_CP=%WAS_CP%;..\lib\ujc.jar
set WAS_CP=%WAS_CP%;..\lib\repository.jar
set WAS_CP=%WAS_CP%;..\lib\admin.jar
set WAS_CP=%WAS_CP%;..\lib\servlet.jar
set WAS_CP=%WAS_CP%;..\lib\servletconsole.jar
set WAS_CP=%WAS_CP%;..\lib\tasks.jar
set WAS_CP=%WAS_CP%;..\lib\console.jar
set WAS_CP=%WAS_CP%;..\lib\vaprt.jar
set WAS_CP=%WAS_CP%;..\lib\sslight.jar
set WAS_CP=%WAS_CP%;..\lib\xml4j.jar
set WAS_CP=%WAS_CP%;..\web\help
set WAS_CP=%WAS_CP%;%JAVA_HOME%\lib\tools.jar

set SEC_OPT=-Dcom.ibm.CORBA.securityEnabled=true
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.loginSource=prompt
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.loginTimeout=30
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.loginUserid=
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.loginPassword=
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.keytabFileName=
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLTypeIClientAssociationEnabled=true
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLTypeIServerAssociationEnabled=true
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.LTPAClientAssociationEnabled=false
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.LTPAServerAssociationEnabled=true
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.authenticationTarget=LocalOS
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLKeyRing=com.ibm.websphere.DummyKeyring
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLKeyRingPassword=WebAS
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLServerKeyRing=com.ibm.websphere.DummyKeyring
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLServerKeyRingPassword=WebAS
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.SSLV3SessionTimeout=9600
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.standardPerformQOPModels=confidentiality
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.standardClaimQOPModels=integrity
set SEC_OPT=%SEC_OPT% -Dcom.ibm.CORBA.bootstrapRepositoryLocation=none

%JAVA_HOME%\bin\java -Xminf0.15 -Xmaxf0.25 %SEC_OPT% -classpath %WAS_CP% -Dcom.ibm.CORBA.principalName=%COMPUTERNAME%/AdminClient -Dserver.root=..\ com.ibm.ejs.sm.client.ui.EJSConsole %DEST% %DESTPORT% %DEBUGOPTS% %QUALIFYNAMES%
:END
endlocal

